"use strict";
const editorExtensions = require("../../../browser/editorExtensions.js");
const editorZoom = require("../../../common/config/editorZoom.js");
const nls = require("../../../../nls.js");
class EditorFontZoomIn extends editorExtensions.EditorAction {
  constructor() {
    super({
      id: "editor.action.fontZoomIn",
      label: nls.localize("EditorFontZoomIn.label", "Editor Font Zoom In"),
      alias: "Editor Font Zoom In",
      precondition: void 0
    });
  }
  run(accessor, editor) {
    editorZoom.EditorZoom.setZoomLevel(editorZoom.EditorZoom.getZoomLevel() + 1);
  }
}
class EditorFontZoomOut extends editorExtensions.EditorAction {
  constructor() {
    super({
      id: "editor.action.fontZoomOut",
      label: nls.localize("EditorFontZoomOut.label", "Editor Font Zoom Out"),
      alias: "Editor Font Zoom Out",
      precondition: void 0
    });
  }
  run(accessor, editor) {
    editorZoom.EditorZoom.setZoomLevel(editorZoom.EditorZoom.getZoomLevel() - 1);
  }
}
class EditorFontZoomReset extends editorExtensions.EditorAction {
  constructor() {
    super({
      id: "editor.action.fontZoomReset",
      label: nls.localize("EditorFontZoomReset.label", "Editor Font Zoom Reset"),
      alias: "Editor Font Zoom Reset",
      precondition: void 0
    });
  }
  run(accessor, editor) {
    editorZoom.EditorZoom.setZoomLevel(0);
  }
}
editorExtensions.registerEditorAction(EditorFontZoomIn);
editorExtensions.registerEditorAction(EditorFontZoomOut);
editorExtensions.registerEditorAction(EditorFontZoomReset);
